Bug 499685 - RFE - include virt type in virt-manager Guest->Details tab
RFE - include virt type in virt-manager Guest->Details tab
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-07 12:38 EDT by James Laska
Modified: 2013-09-02 02:35 EDT (History)
6 users (show)

See Also:
Fixed In Version: virt-manager-0.8.0-2.fc12.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 06:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (197.59 KB, image/png)
2009-05-07 12:38 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-05-07 12:38:47 EDT
Created attachment 342877 [details]
Screenshot

Description of problem:

Presently, there is no indicator for the guest virt type (xenpv, xenfs, qemu, kvm, etc...) when looking at the virtual machine window for a guest (see screenshot attached).  

The only method I'm aware of is to run:
 # virsh dumpxml <guest> | grep qemu
    <emulator>/usr/bin/qemu-kvm</emulator>

Having this information present in the UI would be great.

Version-Release number of selected component (if applicable):
virt-manager-0.7.0-4.fc11.x86_64

How reproducible:


Steps to Reproduce:
1. Run virt-manager
2. Double click on a guest
3. Select the "Details" tab
4. Select the "Overview" section
  
Actual results:

See screenshot

Expected results:

Perhaps more verbose information about the type of virtualization used for the guest.

Additional info:
Comment 1 Mark McLoughlin 2009-05-07 13:06:55 EDT
Yeah, anything has got to be better than:

https://fedoraproject.org/wiki/Reporting_virtualization_bugs#Is_My_Guest_Using_KVM.3F
Comment 2 Cole Robinson 2009-05-12 13:34:13 EDT
I've pushed this upstream:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/875f713f19e9

Details->Overview now lists HV Type, VM Arch, and Emulator path.

There is still the issue of the emulator being unable to open /dev/kvm, and continuing on it's merry way. My feeling is that if VM is of type='kvm', libvirt should look for that error message, and bomb out accordingly. Silently falling back to plain emulation is pretty sucky.
Comment 3 Mark McLoughlin 2009-05-21 16:34:52 EDT
Cool stuff, this will be fixed for F-12 with the next virt-manager release

(In reply to comment #2)
> Silently falling back to plain emulation is pretty sucky.  

Indeed. It's been discussed upstream and think the conclusion is that this behaviour won't be merged from qemu-kvm.git into qemu.git - i.e. expect this falling back to go away eventually
Comment 4 Mark McLoughlin 2009-09-15 06:30:53 EDT
This is in rawhide now

Note You need to log in before you can comment on or make changes to this bug.